import React from "react";

export const renderField = ({ input, meta: { touched, error }, label, type }) => (
	<div className="form__input-box">
		<label
			className={touched && error ? "form__input-lable form__input-lable--error" : "form__input-lable"}
			htmlFor="origin">
			{label}
			<input type={type} {...input} />
		</label>
		{touched && error && <span>{error}</span>}
	</div>
);

// export const renderFieldFile = ({ input, meta: { touched, error }, onChange }) => (
// 	<div className="form__input-box">
// 		<input type="file" {...input} onChange={onChange} />
// 	</div>
// );
